package de.hftstuttgart.dta.model;

public class Result
{
    public String name;
    public int state;

    public String failureType;
    public String failureReason;
    public String stacktrace;

    // only for compilation Errors
    public int columnNumber;
    public int lineNumber;
    public int position;

    public static enum State
    {
        UNKNOWN,
        SUCCESS,
        FAILURE,
        COMPILATIONERROR,
    }
}
